      subroutine sidtim_arg( argc, argv )
!
!     Argument break-out for Unix IDL call_external calls of
!     sidtim_drv.
!
!     B. Knapp, 2001-02-15
!
C
C     RCS DATA
C     
C     $Header$
C     
C     $Log$
C
C
      implicit none
      integer argc, argv(3)
      external sidtim_drv
!
      call sidtim_drv( %val(argv(1)), %val(argv(2)), %val(argv(3)) )
!
      return
      end

      subroutine sidtim_drv( n, jd, st )
!
!     Driver interface (for use by IDL call_external) to function
!     sidtim.
!
!     B. Knapp, 2001-02-15, 2001-04-24 (i*4)
!
      implicit none
!
!     Input:
      integer*4 n
      real*8 jd(n)
!
!     Output:
      real*8 st(n)
!
!     External functions, subroutines
      real*8 sidtim
      external sidtim

!     Local:
      integer*4 j
!
      do j=1,n
         st(j) = sidtim( jd(j) )
      enddo
      return
      end
